-module(ea12cli).
-export([start/2, send/2]).

start(Srv, Nick) ->
    ea12srv:connect(Srv, Nick),
    Loop = self(),
    spawn(fun() -> input(Loop) end),
    loop(Srv).

loop(Srv) ->
    receive
        quit ->
            ea12srv:disconnect(Srv);

        {send, Text} ->
            ea12srv:send(Srv, Text),
            loop(Srv);
        
        {text, Text} ->
            io:format("~s~n", [Text]),
            loop(Srv)
    end.

send(Pid, Text) ->
    Pid ! {text, Text}.

input(Loop) ->
    S = string:strip(io:get_line('--> '), right, $\n),
    if
        S == "#q" ->
            Loop ! quit,
            ok;
        true ->
            Loop ! {send, S},
            input(Loop)
    end.
