-module(ea13cli).
-export([start/2, send/2]).

-define(SERVER,ea13srv).

start(Srv, Nick) ->
    case ?SERVER:connect(Srv, Nick) of
        deny ->
            io:format("Connection failed~n",[]);
        timeout ->
            io:format("No reply~n",[]);
        ok ->
            Loop = self(),
            spawn(fun() -> input(Loop) end),
            loop(Srv)
    end.

loop(Srv) ->
    receive
        quit ->
            ?SERVER:disconnect(Srv);

        {send, Text} ->
            ?SERVER:send(Srv, Text),
            loop(Srv);
        
        {text, Text} ->
            io:format("~s~n", [Text]),
            loop(Srv)
    end.

send(Pid, Text) ->
    Pid ! {text, Text}.

input(Loop) ->
    S = string:strip(io:get_line('--> '), right, $\n),
    if
        S == "#q" ->
            Loop ! quit,
            ok;
        true ->
            Loop ! {send, S},
            input(Loop)
    end.
