-module(ea14cli).
-export([start/2, send/2]).

-define(SERVER,ea14srv).

start(Srv, Nick) ->
    case ?SERVER:connect(Srv, Nick) of
        deny ->
            io:format("Connection failed~n",[]);
        timeout ->
            io:format("No reply~n",[]);
        ok ->
            Loop = self(),
            spawn(fun() -> input(Loop) end),
            loop(Srv)
    end.

loop(Srv) ->
    receive
        quit ->
            ?SERVER:disconnect(Srv);

        {send, Text} ->
            ?SERVER:send(Srv, Text),
            loop(Srv);
        
        {text, Text} ->
            io:format("~s~n", [Text]),
            loop(Srv);

        {join, Group} ->
            ?SERVER:join(Srv, Group),
            loop(Srv)
    end.

send(Pid, Text) ->
    Pid ! {text, Text}.

input(Loop) ->
    case string:strip(io:get_line('--> '), right, $\n) of
        "#q" ->
            Loop ! quit,
            ok;
        "#j " ++ Group ->
            Loop ! {join, Group},
            input(Loop);
        S ->
            Loop ! {send, S},
            input(Loop)
    end.
