-module(chat_super).
-behaviour(supervisor).

-export([init/1, start_link/1]).

start_link(Max) ->
    supervisor:start_link(?MODULE, Max).

init(Max) ->
    {ok,
      {{one_for_all, 2, 3},
       [
        { chatserver,
          {srv, start, [Max]},
          transient,
          500,
          worker,
          [srv, cli]
        },
        { groupserver,
          {grp_sup, start_link, []},
          transient,
          500,
          supervisor,
          [grp_sup, grp_srv]
        }
       ]
      }
    }.

