-module(grp_sup).
-behaviour(supervisor).

-export([init/1, start_link/0, child/2]).

start_link() ->
    supervisor:start_link({local, chatgroups}, ?MODULE, {}).

child(Users, Name) ->
    case supervisor:start_child(chatgroups, [Users, Name]) of
        {ok, Child} -> Child;
        {ok, Child, _} -> Child;
        {error, Error} -> throw({error, Error})
    end.

init(_) ->
    {ok,
     {{simple_one_for_one, 3, 1},
      [{grp,
        {grp_srv, start_link, []},
        transient,
        brutal_kill,
        worker,
        [grp_srv]
        }
      ]
     }
   }.
